# Basic macros
%define version 0.7.5.1
%define release %mkrel 2
%define tarball_version %(echo %version | sed -e 's/\\.//g')

%define Summary Remake of the DOS racing game "stunts"

Summary:	%Summary
Name:   	ultimatestunts
Version:	%version
Release:	%release
License:	GPLv2+
Group:  	Games/Arcade
URL:    	http://www.ultimatestunts.nl/
Source0: 	ultimatestunts-srcdata-%tarball_version.tar.xz
Source1:	%{name}.png
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	bison
BuildRequires:	%{_lib}freealut-devel
BuildRequires:	%{_lib}mesagl1-devel
BuildRequires:	%{_lib}mesaglu1-devel
BuildRequires:	%{_lib}openal-devel
BuildRequires:	%{_lib}SDL-devel
BuildRequires:	%{_lib}SDL_image-devel
Requires: 	openal
Requires: 	%{_lib}openal1
Requires(post,postun): desktop-common-data
Requires:	%{_lib}vorbis0-devel

%description
A UNIX/Windows/Linux remake of the DOS car racing game "stunts", providing
modern features like openGL graphics, 3D sound and internet multiplaying.
Design your own tracks, choose your opponents and try the most spectacular
stunts you've ever seen.

%prep
%setup -q -n ultimatestunts-srcdata-%tarball_version
sed -i 's|@usdatadir@|%_gamesdatadir/ultimatestunts/|' ultimatestunts.conf.in

%build
%configure2_5x \
	--bindir=%_gamesbindir \
	--datadir=%_gamesdatadir \
	--disable-rpath
	
%make -j1 usdatadir=%_gamesdatadir/ultimatestunts/

%install
rm -rf %buildroot
make \
	DESTDIR=%buildroot \
	usdatadir=%buildroot/%_gamesdatadir/ultimatestunts \
	install

mkdir -p %buildroot%_datadir/pixmaps
install -m 644 %{SOURCE1} %buildroot%_datadir/pixmaps/%{name}.png

mkdir -p %buildroot/%_datadir/applications
cat > %buildroot/%_datadir/applications/%name.desktop << EOF
[Desktop Entry]
Name=Ultimate Stunts
Comment=%Summary
Exec=%_gamesbindir/ustunts
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;X-MandrivaLinux-MoreApplications-Games-Arcade;
EOF

cat > %buildroot/%_datadir/applications/%name-trackedit.desktop << EOF
[Desktop Entry]
Name=Ultimate Stunts Track Editor
Comment=The Ultimate Stunts track editor
Exec=%_gamesbindir/ustuntstrackedit
Icon=%{name}
Terminal=false
Type=Application
Categories=Graphics;3DGraphics;X-MandrivaLinux-Multimedia-Graphics;
EOF

# remove unwanted files
find %buildroot/%_gamesdatadir/ultimatestunts -type d -name CVS -print0 | \
	xargs -0 rm -rf

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %buildroot

%files
%defattr(0755,root,root,0755)
%{_gamesbindir}/ustunts
%{_gamesbindir}/ustunts3dedit
%{_gamesbindir}/ustuntsai
%{_gamesbindir}/ustuntsserver
%{_gamesbindir}/ustuntstrackedit
%defattr(0644,root,root,0755)
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-trackedit.desktop
%{_gamesdatadir}/ultimatestunts
%{_datadir}/pixmaps/*.png
%config %{_sysconfdir}/ultimatestunts.conf


%changelog
* Tue Oct 06 2011 Archie <pclinuxos.ph at gmail.com> 0.7.5.1-2pclos2011
- Rebuild for x86_64

* Wed May 19 2010 Texstar <texstar at gmail.com> 0.7.5.1-1pclos2010
- update for new openal
